> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi/service-requests/get-all-service-requests/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get all service requests GET https://api.propexo.com/v1/service-requests/ Get all service requests Reference: https://docs.propexo.com/api-reference/yardi/service-requests/get-all-service-requests ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query - `x_id` (string, optional) — The external ID from the integration vendor - `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. - `unit_id` (string, optional) — The Propexo unique identifier for the unit - `employee_id` (string, optional) — The Propexo unique identifier for the employee - `vendor_id` (string, optional) — The Propexo unique identifier for the vendor - `property_id` (string, optional) — The Propexo unique identifier for the property - `integration_id` (string, optional) — The Propexo unique identifier for the integration - `integration_vendor` (enum, optional) — The property management system of record - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` - `unit_number` (string, optional) — The unit number of the service request. When using this, the Propexo `property_id` filter must be added as well. ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (list of ServiceRequest, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### ServiceRequest - `id` (string, required) — The Propexo unique identifier for the service request - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI - `x_unit_id` (string, required, nullable) — The external ID of the unit from the integration vendor | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `x_sub_task_id` (any, required) — The external ID of the sub task from the integration vendorThis field will always be null for YARDI - `access_is_authorized` (boolean, required, nullable) — Whether or not the tenant has granted permission to enter the unit associated with the service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `access_notes` (any, required) — Notes regarding access to the unit associated with the service requestThis field will always be null for YARDI - `building` (any, required) — The building name associated with the service requestThis field will always be null for YARDI - `completion_notes` (any, required) — Closing notes associated with the service requestThis field will always be null for YARDI - `date_completed` (string, required, nullable) — The date the service request was completed | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `date_created` (string, required, nullable) — The date the service request was created | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `date_due` (any, required) — The due date associated with the service requestThis field will always be null for YARDI - `date_scheduled` (any, required) — The date the service request is scheduledThis field will always be null for YARDI - `service_category` (string, required, nullable) — The category of service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `service_description` (string, required, nullable) — A description of the service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `service_details` (string, required, nullable) — Details about the service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `service_priority` (string, required, nullable) — The priority level associated with the service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `status_raw` (string, required, nullable) — The raw status associated with the service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `vendor_notes` (string, required, nullable) — Vendor/technician notes associated with the service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `unit_number` (string, required, nullable) — The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases. | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `order_number` (any, required) — The order number of the service requestThis field will always be null for YARDI - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `YARDI`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI_REST` - `property_id` (string, required) — The Propexo unique identifier for the property - `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `employee_id` (any, required) — The Propexo unique identifier for the employeeThis field will always be null for YARDI - `vendors` (list of ServiceRequestVendorsItems, required) — List of vendor IDs associated with the service requestThis field is not currently hydrated for YARDI - `history` (list of ServiceRequestHistoryItems, required) — History of notes and/or updates related to the service request - `employees` (list of ServiceRequestEmployeesItems, required) — An array of all employees assigned to the service request - `notes` (any, required, deprecated) — DEPRECATED: Please use 'history' for reading notes regarding the service requestThis field will always be null for YARDI ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ### ServiceRequestVendorsItems - `vendor_id` (string, required) ### ServiceRequestHistoryItems - `id` (string, required) — The Propexo unique identifier for the service request history - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `x_created_at` (string, required, nullable) — The date the record first entered the integration vendor | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `notes` (string, required) — Notes describing the service request history | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `creator_name` (any, required) — The name of the person or user that created the service request historyThis field will always be null for YARDI - `status_raw` (string, required, nullable) — The raw status from the service request history | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | - `service_request_id` (string, required) — The Propexo unique identifier for the service request | Interface | Method | |---|---| | Service Requests | GetServiceRequests | | Service Requests | GetServiceRequest_Search | ### ServiceRequestEmployeesItems - `id` (string, required) — The Propexo unique identifier for the employee - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Service Requests | GetCustomValues2 | | ILS Guest Card | GetYardiAgentsSourcesResults_Login | - `name` (string, required, nullable) — The name associated with the employee | Interface | Method | |---|---| | Service Requests | GetCustomValues2 | | ILS Guest Card | GetYardiAgentsSourcesResults_Login | ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "83885", "x_property_id": "hejkhkjhs", "x_location_id": null, "x_unit_id": "312441", "x_sub_task_id": null, "access_is_authorized": true, "access_notes": null, "building": null, "completion_notes": null, "date_completed": "2019-07-03T00:00:00.000Z", "date_created": "2019-07-03T00:00:00.000Z", "date_due": null, "date_scheduled": null, "service_category": "HVAC", "service_description": "Resident says AC is not cold", "service_details": "Filter is due to be changed", "service_priority": "High", "status_raw": "In progress", "vendor_notes": "Resident dog is growling, will follow up later", "unit_number": "102", "order_number": null, "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "YARDI", "property_id": "clwi5xiix000008l6ctdgafyh", "unit_id": "clwqtfra5000008mj44fw9byy:jkjkhjkhe:432", "employee_id": null, "vendors": [ { "vendor_id": "string" } ], "history": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "string", "x_created_at": "string", "notes": "string", "creator_name": null, "status_raw": "string", "service_request_id": "string" } ], "employees": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "marksplumbing", "name": "Mark's Plumbing" } ], "notes": null } ] } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/service-requests/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/service-requests/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/service-requests/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/service-requests/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/service-requests/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/service-requests/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/service-requests/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```